# Pull up a list of savings tasks

Note: Status 0 represents an unfinished task, whether it started or not The status of 1 represents the completion of the purchase task If you do not fill in status, pull both

# Dxplaination of Interface Call Request

http请求方式:POST
https://api.weixin.qq.com/product/limiteddiscount/get_list/access_token=xxxxxxxxx

# Example of request parameters

{
    "status":0
}

# Examples of back-up

{
    "errcode": 0,
    "limited_discount_list": 
    [
        {
            "task_id": 285135,
            "product_id": 2206705,
            "status": 0,
            "create_time": 1614759730,
            "start_time": 1614759660,
            "end_time": 1614846119,
            "limited_discount_sku_list": [
                {
                    "sku_id": 8147206,
                    "sale_price": 200,
                    "sale_stock": 10
                }
            ]
        },
        {
            "task_id": 285131,
            "product_id": 2437954,
            "status": 0,
            "create_time": 1614759243,
            "start_time": 1614759180,
            "end_time": 1614845639,
            "limited_discount_sku_list": [
                {
                    "sku_id": 8297366,
                    "sale_price": 1500,
                    "sale_stock": 100
                }
            ]
        }
    ]
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
status number no The status of the Rakuten Purchase Task

# Dxplaination of callback parameters

参数 type Introductions
errcode number Error code
limited_discount_list[].task_id number Snap Up Task ID
limited_discount_list[].product_id number Snap Up Item ID
limited_discount_list[].status number RRP Mission Status
limited_discount_list[].create_time number Purchase task creation time Second timestamp
limited_discount_list[].start_time number The start time of the snagging task Second time stamp
limited_discount_list[].end_time number Purchase task end time Second-time timestamp
limited_discount_list[].limited_discount_sku_list[].sku_id number Different sku_id under Snap Up Task
limited_discount_list[].limited_discount_sku_list[].sale_price number Snap Price for the sku_id
limited_discount_list[].limited_discount_sku_list[].sale_stock number The number of snaps when the sku_id is set

# Return code

返回码 Error Type
-1 System exceptions
-2 Token too long
9401020 The parameter is incorrect.
9401021 Call the api without permission